package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.AgeStructure;
import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSAgeStructureService {
    List<AgeStructure> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(AgeStructure inputModel);

    AgeStructure edit(long id);

    ResultState doEdit(AgeStructure inputModel);
}
